/*
 * X10 controller plugin for the Video Disk Recorder       
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: X10Device.h,v 1.7 2005/03/17 13:06:34 toni Exp $                                           
 */

#ifndef __X10DEVICE_H
#define __X10DEVICE_H

#include <vdr/tools.h>
#include <vdr/config.h>

class cX10Device : public cListObject {
 private:
 public:
  cX10Device(void);
  virtual ~cX10Device();
  char *name;
  char *xid;
  char* getName() const;
  char* getXid() const;
  bool Parse(const char* s);
};

class cX10Devices : public cConfig<cX10Device> {
private:
  char *name;
  char *xid;
public:
  cX10Devices(void);
  virtual ~cX10Devices();
};

extern cX10Devices devices;

#endif
